> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/artifact-in-sbom-libs.md).

# artifactInSbomLibs

Represents an artifact included in SBOM libraries, such as a container image.

### Examples

```graphql
type ArtifactInSbomLibs {
  image: String
  imageLink: String
  imageCreatedAt: String
  sha: String
  os: String
  osVersion: String
  baseImage: String
  baseImageVersion: String
  tag: String
  layer: String
  registryName: String
  source: String
}
```

### Fields

| Field                     | Description                                           | Supported fields |
| ------------------------- | ----------------------------------------------------- | ---------------- |
| image `String`            | Name of the container image                           |                  |
| imageLink `String`        | URL link to the container image                       |                  |
| imageCreatedAt `String`   | Creation date/time of the image (ISO 8601 string)     |                  |
| sha `String`              | SHA digest of the artifact/image                      |                  |
| os `String`               | Operating system used in the image                    |                  |
| osVersion `String`        | Version of the operating system                       |                  |
| baseImage `String`        | Base image name from which this image is derived      |                  |
| baseImageVersion `String` | Version of the base image                             |                  |
| tag `String`              | Tag assigned to the image                             |                  |
| layer `String`            | Specific layer identifier within the image            |                  |
| registryName `String`     | Name of the container registry hosting the image      |                  |
| source `String`           | Source of the artifact - public or connected registry |                  |

### References

#### Fields with this object:

* [{} SbomLib.artifactInSbomLibs](/api-documentation/api-reference/api--issue/types/objects/sbom-lib.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/artifact-in-sbom-libs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
